Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLInputElement

public interface HTMLInputElement
extends HTMLElement

Form control. Note. Depending upon the environment in which the page is being viewed, the value property may be read-only for the file upload input type. For the "password" input type, the actual value returned may be masked to prevent unauthorized use. See the INPUT element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 1 Specification (Second Edition).

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `click()` Simulate a mouse-click.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccept()` A comma-separated list of content types that a server processing this form will handle correctly.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`boolean` | `getChecked()` When the `type` attribute of the element has the value "Radio" or "Checkbox", this represents the current state of the form control, in an interactive user agent.
`boolean` | `getDefaultChecked()` When `type` has the value "Radio" or "Checkbox", this represents the HTML checked attribute of the element.
`java.lang.String` | `getDefaultValue()` When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the HTML value attribute of the element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`int` | `getMaxLength()` Maximum number of characters for text fields, when `type` has the value "Text" or "Password".
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` This control is read-only.
`java.lang.String` | `getSize()` Size information.
`java.lang.String` | `getSrc()` When the `type` attribute has the value "Image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of control created.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getValue()` When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the current contents of the corresponding form control, in an interactive user agent.
`void` | `select()` Select the contents of the text area.
`void` | `setAccept(java.lang.String accept)`
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setChecked(boolean checked)`
`void` | `setDefaultChecked(boolean defaultChecked)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setMaxLength(int maxLength)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setSize(java.lang.String size)`
`void` | `setSrc(java.lang.String src)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setValue(java.lang.String value)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. Changing this attribute, however, resets the contents of the form control. See the value attribute definition in HTML 4.0.

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getDefaultChecked

    public boolean getDefaultChecked()

  When `type` has the value "Radio" or "Checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. Changes to this attribute, however, resets the state of the form control. See the checked attribute definition in HTML 4.0.

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getAccept

    public java.lang.String getAccept()

  A comma-separated list of content types that a server processing this form will handle correctly. See the accept attribute definition in HTML 4.0.

### setAccept

    public void setAccept(java.lang.String accept)

### getAccessKey

    public java.lang.String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

### getAlign

    public java.lang.String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getAlt

    public java.lang.String getAlt()

  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.

### setAlt

    public void setAlt(java.lang.String alt)

### getChecked

    public boolean getChecked()

  When the `type` attribute of the element has the value "Radio" or "Checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML value attribute of the element.

### setChecked

    public void setChecked(boolean checked)

### getDisabled

    public boolean getDisabled()

  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

### setDisabled

    public void setDisabled(boolean disabled)

### getMaxLength

    public int getMaxLength()

  Maximum number of characters for text fields, when `type` has the value "Text" or "Password". See the maxlength attribute definition in HTML 4.0.

### setMaxLength

    public void setMaxLength(int maxLength)

### getName

    public java.lang.String getName()

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getReadOnly

    public boolean getReadOnly()

  This control is read-only. Relevant only when `type` has the value "Text" or "Password". See the readonly attribute definition in HTML 4.0.

### setReadOnly

    public void setReadOnly(boolean readOnly)

### getSize

    public java.lang.String getSize()

  Size information. The precise meaning is specific to each type of field. See the size attribute definition in HTML 4.0.

### setSize

    public void setSize(java.lang.String size)

### getSrc

    public java.lang.String getSrc()

  When the `type` attribute has the value "Image", this attribute specifies the location of the image to be used to decorate the graphical submit button. See the src attribute definition in HTML 4.0.

### setSrc

    public void setSrc(java.lang.String src)

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    public void setTabIndex(int tabIndex)

### getType

    public java.lang.String getType()

  The type of control created. See the type attribute definition in HTML 4.0.

### getUseMap

    public java.lang.String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.0.

### setUseMap

    public void setUseMap(java.lang.String useMap)

### getValue

    public java.lang.String getValue()

  When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the `type` attribute of the element has the value "Button", "Hidden", "Submit", "Reset", "Image", "Checkbox" or "Radio", this represents the HTML value attribute of the element. See the value attribute definition in HTML 4.0.

### setValue

    public void setValue(java.lang.String value)

### blur

    public void blur()

  Removes keyboard focus from this element.

### focus

    public void focus()

  Gives keyboard focus to this element.

### select

    public void select()

  Select the contents of the text area. For `INPUT` elements whose `type` attribute has one of the following values: "Text", "File", or "Password".

### click

    public void click()

  Simulate a mouse-click. For `INPUT` elements whose `type` attribute has one of the following values: "Button", "Checkbox", "Radio", "Reset", or "Submit".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.